Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.odftoolkit.odfdom.dom.type.chart
Enum OdfLabelPositionType

    java.lang.Object
      java.lang.Enum<OdfLabelPositionType>
          org.odftoolkit.odfdom.dom.type.chart.OdfLabelPositionType

All Implemented Interfaces:
  Serializable, Comparable<OdfLabelPositionType>

    public enum OdfLabelPositionType

extends Enum<OdfLabelPositionType>

DOM implementation of OpenDocument attribute chart:label-position.

Enum Constant Summary
`AVOID_OVERLAP`
`BOTTOM`
`BOTTOM_LEFT`
`BOTTOM_RIGHT`
`CENTER`
`INSIDE`
`LEFT`
`NEAR_ORIGIN`
`OUTSIDE`
`RIGHT`
`TOP`
`TOP_LEFT`
`TOP_RIGHT`

Method Summary
`static OdfLabelPositionType` | `enumValueOf(String stringValue)` String to enum, turns a String into its corresponding enum constant
`String` | `toString()` gets the name of this enum.
`static String` | `toString(OdfLabelPositionType enumeration)` enum to String, gets the name of this enum constant as a string.
`static OdfLabelPositionType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static OdfLabelPositionType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### TOP

    public static final OdfLabelPositionType TOP

### OUTSIDE

    public static final OdfLabelPositionType OUTSIDE

### RIGHT

    public static final OdfLabelPositionType RIGHT

### AVOID_OVERLAP

    public static final OdfLabelPositionType AVOID_OVERLAP

### LEFT

    public static final OdfLabelPositionType LEFT

### TOP_RIGHT

    public static final OdfLabelPositionType TOP_RIGHT

### BOTTOM

    public static final OdfLabelPositionType BOTTOM

### BOTTOM_LEFT

    public static final OdfLabelPositionType BOTTOM_LEFT

### TOP_LEFT

    public static final OdfLabelPositionType TOP_LEFT

### INSIDE

    public static final OdfLabelPositionType INSIDE

### CENTER

    public static final OdfLabelPositionType CENTER

### BOTTOM_RIGHT

    public static final OdfLabelPositionType BOTTOM_RIGHT

### NEAR_ORIGIN

    public static final OdfLabelPositionType NEAR_ORIGIN

Method Detail

### values

    public static OdfLabelPositionType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (OdfLabelPositionType c : OdfLabelPositionType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static OdfLabelPositionType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### toString

    public String toString()

  gets the name of this enum.

  Overrides:
    `toString` in class `Enum<OdfLabelPositionType>`
  Returns:
    return the name of OdfLabelPositionType

### toString

    public static String toString(OdfLabelPositionType enumeration)

  enum to String, gets the name of this enum constant as a string.

  Parameters:
    `enumeration` - the constant of OdfLabelPositionType, see chart:label-position
  Returns:
    return the name of OdfLabelPositionType

### enumValueOf

    public static OdfLabelPositionType enumValueOf(String stringValue)

  String to enum, turns a String into its corresponding enum constant

  Parameters:
    `stringValue` - the name of OdfLabelPositionType
  Returns:
    return the constant of OdfLabelPositionType, see chart:label-position

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2009. All Rights Reserved.